/*----------------------------------------------------------------------------
 * log.h
 *--------------------------------------------------------------------------*/
#ifndef _log_h_
#define _log_h_

typedef enum 
{
    log_quiet = 0,
    log_error,
    log_warning,
    log_info,
    log_debug
} log_level_enum;

void log_init(log_level_enum report_level);
void log_printf(log_level_enum level, const char *logStr, ...);

#endif
