#include "sim.h"

int main(int argc, const char *argv[])
{
    const char *parm_file;
    const char *s_parm_file;

    log_init(log_info);
    
    if (argc < 3)
    {
        fprintf(stderr, "usage: %s [parm_file] [s_parm_file]\n", argv[0]);
        exit(0);
    }

    parm_file = argv[1];
    s_parm_file = argv[2];
    sim_run(parm_file, s_parm_file);
}
